%define	fversion	0.3

%define svn	0
%if %svn
%define release	%mkrel 0.%svn.1
%else
%define release	%mkrel 2
%endif

Summary:	Python bindings for Pigment
Name:		pigment-python
Version:	0.3.3
Release:	%{release}
%if %svn
Source0:	%{name}-%{svn}.tar.lzma
%else
Source0:	http://elisa.fluendo.com/static/download/pigment/%{name}-%{version}.tar.gz
%endif
License:	LGPLv2+
Group:		Development/Python
URL:		http://elisa.fluendo.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %svn
BuildRequires:	autoconf
%endif
BuildRequires:	libgstreamer-devel >= 0.10
BuildRequires:	libgstreamer0.10-plugins-base-devel
BuildRequires:	gstreamer0.10-python
BuildRequires:	glib2-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	python-devel
BuildRequires:	python-gobject
BuildRequires:	python-pyxml
BuildRequires:	pygtk2.0-devel
BuildRequires:	pigment-devel
BuildRequires:	libpigment-devel
Requires:	pigment

%description
Python bindings for the Pigment library.

%package devel
Group:		Development/Python
Summary:	Development headers for pigment-python
Requires:	%{name}
Requires:	pigment-devel
Requires:	libpigment-devel

%description devel
Python bindings for the Pigment library.

%prep
%if %svn
%setup -q -n %{name}
%else
%setup -q
%endif

%build
%if %svn
./autogen.sh
%endif
%configure2_5x
make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/pgm
%{py_platsitedir}/*.so

%files devel
%defattr(-,root,root)
%{py_platsitedir}/*.la
%{_datadir}/%{name}


%changelog
* Mon Mar 10 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.3-2mdv2008.1
+ Revision: 183866
- rebuild for new python

* Tue Mar 04 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.3-1mdv2008.1
+ Revision: 178250
- adjust gstreamer buildrequires to be good for Cooker or 2008
- new release 0.3.3

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.2.3-1mdv2008.1
+ Revision: 177147
- new release 0.3.2.3

* Wed Feb 27 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.2.2-1mdv2008.1
+ Revision: 175891
- new release 0.3.2.2

* Tue Feb 26 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.2.1-0.1089.1mdv2008.1
+ Revision: 175218
- new snapshot 1089

* Sat Feb 16 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.2.1-0.1073.1mdv2008.1
+ Revision: 169329
- adjust file list
- buildrequires python-pyxml
- correct gdk-pixbuf buildrequire
- correct version
- update to latest SVN (to match pigment)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix gstreamer0.10-devel BR for x86_64

* Fri Jan 25 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.2-1mdv2008.1
+ Revision: 158067
- import pigment-python


